# Class Contract

#### Hierarchy

- unknown
  - Contract

- Defined in src/protobuf/pb_pb.d.ts:3321
- Defined in src/protobuf/pb_pb.d.ts:3403

#####
Index

### Constructors

constructor

### Methods

clearArbitratorNodeAddress
clearBuyerNodeAddress
clearMakerPubKeyRing
clearOfferPayload
clearSellerNodeAddress
clearTakerPubKeyRing
getArbitratorNodeAddress
getBuyerNodeAddress
getIsBuyerMakerAndSellerTaker
getMakerAccountId
getMakerDepositTxHash
getMakerPaymentAccountPayloadHash
getMakerPaymentAccountPayloadHash_asB64
getMakerPaymentAccountPayloadHash_asU8
getMakerPaymentMethodId
getMakerPayoutAddressString
getMakerPubKeyRing
getOfferPayload
getSellerNodeAddress
getTakerAccountId
getTakerDepositTxHash
getTakerPaymentAccountPayloadHash
getTakerPaymentAccountPayloadHash_asB64
getTakerPaymentAccountPayloadHash_asU8
getTakerPaymentMethodId
getTakerPayoutAddressString
getTakerPubKeyRing
getTradeAmount
getTradePrice
hasArbitratorNodeAddress
hasBuyerNodeAddress
hasMakerPubKeyRing
hasOfferPayload
hasSellerNodeAddress
hasTakerPubKeyRing
serializeBinary
setArbitratorNodeAddress
setBuyerNodeAddress
setIsBuyerMakerAndSellerTaker
setMakerAccountId
setMakerDepositTxHash
setMakerPaymentAccountPayloadHash
setMakerPaymentMethodId
setMakerPayoutAddressString
setMakerPubKeyRing
setOfferPayload
setSellerNodeAddress
setTakerAccountId
setTakerDepositTxHash
setTakerPaymentAccountPayloadHash
setTakerPaymentMethodId
setTakerPayoutAddressString
setTakerPubKeyRing
setTradeAmount
setTradePrice
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Contract(): Contract

- #### Returns Contract

  Inherited from jspb.Message.constructor

## Methods

### clearArbitratorNodeAddress

- clearArbitratorNodeAddress(): Contract

- #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3336

### clearBuyerNodeAddress

- clearBuyerNodeAddress(): Contract

- #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3376

### clearMakerPubKeyRing

- clearMakerPubKeyRing(): Contract

- #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3366

### clearOfferPayload

- clearOfferPayload(): Contract

- #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3325

### clearSellerNodeAddress

- clearSellerNodeAddress(): Contract

- #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3381

### clearTakerPubKeyRing

- clearTakerPubKeyRing(): Contract

- #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3371

### getArbitratorNodeAddress

- getArbitratorNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:3333

### getBuyerNodeAddress

- getBuyerNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:3373

### getIsBuyerMakerAndSellerTaker

- getIsBuyerMakerAndSellerTaker(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3338

### getMakerAccountId

- getMakerAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3341

### getMakerDepositTxHash

- getMakerDepositTxHash(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3389

### getMakerPaymentAccountPayloadHash

- getMakerPaymentAccountPayloadHash(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3353

### getMakerPaymentAccountPayloadHash_asB64

- getMakerPaymentAccountPayloadHash_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3355

### getMakerPaymentAccountPayloadHash_asU8

- getMakerPaymentAccountPayloadHash_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3354

### getMakerPaymentMethodId

- getMakerPaymentMethodId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3347

### getMakerPayoutAddressString

- getMakerPayoutAddressString(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3383

### getMakerPubKeyRing

- getMakerPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:3363

### getOfferPayload

- getOfferPayload(): undefined | OfferPayload

- #### Returns undefined | OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:3322

### getSellerNodeAddress

- getSellerNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:3378

### getTakerAccountId

- getTakerAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3344

### getTakerDepositTxHash

- getTakerDepositTxHash(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3392

### getTakerPaymentAccountPayloadHash

- getTakerPaymentAccountPayloadHash(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3358

### getTakerPaymentAccountPayloadHash_asB64

- getTakerPaymentAccountPayloadHash_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3360

### getTakerPaymentAccountPayloadHash_asU8

- getTakerPaymentAccountPayloadHash_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3359

### getTakerPaymentMethodId

- getTakerPaymentMethodId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3350

### getTakerPayoutAddressString

- getTakerPayoutAddressString(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3386

### getTakerPubKeyRing

- getTakerPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:3368

### getTradeAmount

- getTradeAmount(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3327

### getTradePrice

- getTradePrice(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3330

### hasArbitratorNodeAddress

- hasArbitratorNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3335

### hasBuyerNodeAddress

- hasBuyerNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3375

### hasMakerPubKeyRing

- hasMakerPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3365

### hasOfferPayload

- hasOfferPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3324

### hasSellerNodeAddress

- hasSellerNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3380

### hasTakerPubKeyRing

- hasTakerPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3370

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3395

### setArbitratorNodeAddress

- setArbitratorNodeAddress(value?: NodeAddress): Contract

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3334

### setBuyerNodeAddress

- setBuyerNodeAddress(value?: NodeAddress): Contract

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3374

### setIsBuyerMakerAndSellerTaker

- setIsBuyerMakerAndSellerTaker(value: boolean): Contract

- #### Parameters

  - ##### value: boolean

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3339

### setMakerAccountId

- setMakerAccountId(value: string): Contract

- #### Parameters

  - ##### value: string

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3342

### setMakerDepositTxHash

- setMakerDepositTxHash(value: string): Contract

- #### Parameters

  - ##### value: string

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3390

### setMakerPaymentAccountPayloadHash

- setMakerPaymentAccountPayloadHash(value: string | Uint8Array): Contract

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3356

### setMakerPaymentMethodId

- setMakerPaymentMethodId(value: string): Contract

- #### Parameters

  - ##### value: string

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3348

### setMakerPayoutAddressString

- setMakerPayoutAddressString(value: string): Contract

- #### Parameters

  - ##### value: string

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3384

### setMakerPubKeyRing

- setMakerPubKeyRing(value?: PubKeyRing): Contract

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3364

### setOfferPayload

- setOfferPayload(value?: OfferPayload): Contract

- #### Parameters

  - ##### `Optional` value: OfferPayload

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3323

### setSellerNodeAddress

- setSellerNodeAddress(value?: NodeAddress): Contract

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3379

### setTakerAccountId

- setTakerAccountId(value: string): Contract

- #### Parameters

  - ##### value: string

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3345

### setTakerDepositTxHash

- setTakerDepositTxHash(value: string): Contract

- #### Parameters

  - ##### value: string

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3393

### setTakerPaymentAccountPayloadHash

- setTakerPaymentAccountPayloadHash(value: string | Uint8Array): Contract

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3361

### setTakerPaymentMethodId

- setTakerPaymentMethodId(value: string): Contract

- #### Parameters

  - ##### value: string

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3351

### setTakerPayoutAddressString

- setTakerPayoutAddressString(value: string): Contract

- #### Parameters

  - ##### value: string

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3387

### setTakerPubKeyRing

- setTakerPubKeyRing(value?: PubKeyRing): Contract

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3369

### setTradeAmount

- setTradeAmount(value: number): Contract

- #### Parameters

  - ##### value: number

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3328

### setTradePrice

- setTradePrice(value: number): Contract

- #### Parameters

  - ##### value: number

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3331

### toObject

- toObject(includeInstance?: boolean): Contract.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Contract.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3396

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Contract

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3399

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Contract, reader: BinaryReader): Contract

- #### Parameters

  - ##### message: Contract

  - ##### reader: BinaryReader

  #### Returns Contract

  - Defined in src/protobuf/pb_pb.d.ts:3400

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Contract, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Contract

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:3398

### `Static` toObject

- toObject(includeInstance: boolean, msg: Contract): Contract.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Contract

  #### Returns Contract.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3397

Generated using TypeDoc